Communication
The communication resource is used to track communication records.
Communication object
{
"id": "0198bff9-da1b-7e81-a0a3-3ef0a8fe3cf3",
"tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
"contact": "0198a959-a164-7b69-aa64-0omolpy04s3x",
"type": "reachout",
"method": "01988bb8-2061-74d1-967d-f62a0150aec7",
"notes": "Left a voicemail checking in to see how his interview went. ",
"contacted_at": "2024-06-17 12:00:00",
"archived_at": null,
"created_at": "2025-08-19 01:37:59",
"updated_at": null
}
Fields
- idrequired readonly stringUnique ID of the record.
- tenantrequired readonly stringUnique ID of the tenant.
- contactrequired stringUnique ID of the contact who received the communication.
- typenullable stringType of communication. One of:
administrativebusiness_to_businesscommunity_relationsemploymentfundraisingmembershipreachout
- methodnullable stringUnique ID of the method.
- notesnullable stringNotes about the communication.
- contacted_atrequired stringUTC timestamp of when the communication occurred.
- archived_atnullable stringUTC timestamp of when the record was archived.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
Create a communication
POST /tenants/{tenantId}/communication
The request body must include a communication object.
Required permissions
communication:create contacts:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 201 | Created | Successfully created | Communication object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant not found | Error object |
List communication
GET /tenants/{tenantId}/communication
This endpoint also supports filtering records to only those associated with specific contact types using query parameters.
?member=true: Returns only records associated with contacts that are members. Requires themembers:readpermission.?member=false: Returns only records associated with contacts that are not members. Requires themembers:readpermission.?staff=true: Returns only records associated with contacts that are staff. Requires thestaff:readpermission.?staff=false: Returns only records associated with contacts that are not staff. Requires thestaff:readpermission.
Required permissions
communication:read contacts:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of communication objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read a communication
GET /tenants/{tenantId}/communication/{id}
Required permissions
communication:read contacts:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Communiction object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or communication ID not found | Error object |
Update a communication
PATCH /tenants/{tenantId}/communication/{id}
The request body must include parts of a communication object.
Required permissions
communication:update contacts:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Updated communication record | Communication object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant or communication ID not found | Error object |
Delete a communication
DELETE /tenants/{tenantId}/communication/{id}
Required permissions
communication:delete
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully deleted | |
| 404 | Not Found | Tenant ID not found | Error object |
Was this page helpful?